Loading...
Searching...
No Matches
Dune::TypeTree::IndexFilter< indices > Struct Template Reference
dune-typetree » Nodes

Filter class for FilteredCompositeNode that selects the children with the given indices. More...

`#include <dune/typetree/filters.hh>`

Inheritance diagram for Dune::TypeTree::IndexFilter< indices >:

## Public Types

typedef AdvancedFilterTag | FilterTag
| Filter tag for deciding on filter application mechanism.

## Detailed Description

template<std::size_t... indices>
struct Dune::TypeTree::IndexFilter< indices >

Filter class for FilteredCompositeNode that selects the children with the given indices.

## Member Typedef Documentation

## FilterTag

typedef AdvancedFilterTag Dune::TypeTree::AdvancedFilter::FilterTag

inherited

Filter tag for deciding on filter application mechanism.

The documentation for this struct was generated from the following file:

- filters.hh